libzypp 17.37.10

Range.h File Reference
`#include <zypp/RelCompare.h>`

Go to the source code of this file.

## Classes
struct | zypp::Range< Tp, TCompare >

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::range_detail

## Functions
bool | zypp::range_detail::overlaps (Rel lhs, Rel rhs, int cmp)
| Compute Range overlaps.
template<class Tp, class TCompare>
bool | zypp::overlaps (const Range< Tp, TCompare > &lhs, const Range< Tp, TCompare > &rhs)
template<class Tp, class TCompare>
bool | zypp::operator== (const Range< Tp, TCompare > &lhs, const Range< Tp, TCompare > &rhs)
template<class Tp, class TCompare>
bool | zypp::operator!= (const Range< Tp, TCompare > &lhs, const Range< Tp, TCompare > &rhs)